### Method

# Aravis Camera gv_set_ip_configuration_mode

since: 0.8.22

#### Declaration [src]

    void
    arv_camera_gv_set_ip_configuration_mode (
      ArvCamera* camera,
      ArvGvIpConfigurationMode mode,
      GError** error
    )

#### Description [src]

Sets the IP address configuration mode. Available modes are ARV_GV_IP_CONFIGURATION_MODE_DHCP, ARV_GV_IP_CONFIGURATION_MODE_PERSISTENT_IP, ARV_GV_IP_CONFIGURATION_MODE_LLA.

Available since: 0.8.22

#### Parameters

`mode`

  Type: `ArvGvIpConfigurationMode`

  IP address configuration mode.

`error`

  Type: `GError **`

  The return location for a recoverable error.

  The argument can be `NULL`.
  If the return location is not `NULL`, then you must initialize it to a `NULL` `GError*`.
  The argument will be left initialized to `NULL` by the method if there are no errors.
  In case of error, the argument will be set to a newly allocated `GError`; the caller will take ownership of the data, and be responsible for freeing it.